Strigi 0.7.2 is an old release, it won't index files properly

Bug #854330 reported by Ernesto Manriquez on 2011-09-20
102
This bug affects 22 people
Affects Status Importance Assigned to Milestone
strigi (Ubuntu)
Undecided
Fathi Boudra
Oneiric
Undecided
Fathi Boudra

Bug Description

For some reason I don't seem to understand, Debian Sid (and so, Ubuntu) is stuck at release 0.7.2 with Strigi. Even Oneiric Ocelot suffers from this.

KDE 4.7.1 features a revamped indexing system, and the index generated by libstreamanalyzer 0.7.2 isn't supported anymore upstream. So, if you don't update strigi-libs (libstreams, libstreamanalyzer) at least to release 0.7.5, KDE 4.7 will suffer from random crashes, massive CPU usage and constant reindexings.

Strigi 0.7.5 was released on June 2th, 2011, at http://www.vandenoever.info/software/strigi/ .
Strigi-libs 0.7.6 was tagged on July 27th, 2011, but unannounced. Further bugfixing went on.

Related branches

tags: added: kde kubuntu ocelot oneiric strigi
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in strigi (Ubuntu):
status: New → Confirmed
Fathi Boudra (fboudra) on 2011-09-20
Changed in strigi (Ubuntu):
assignee: nobody → Fathi Boudra (fboudra)
Donatas Glodenis (dgvirtual) wrote :

Yes, please fix this one – it really makes Nepomuk less usable.

Nicklas Nyegaard (nnyegaard) wrote :

I would like to "vote" for this too, we need the lates version.

Fathi Boudra (fboudra) wrote :

working on it. 0.7.6 packages are mostly ready.

Great! I tested Strigi 0.7.5 with KDE 4.6 and there were no problems (in fact, there were less problems than with Strigi 0.7.2). Once this package is done for Oneiric, is a backport to Natty possible?

Fathi Boudra (fboudra) wrote :

Strigi 0.7.6-1 uploaded to Debian. We need a sync request.
Though, we're in Beta Freeze, 2 days before beta 2. I'm not sure it will be allowed.

Jonathan Thomas (echidnaman) wrote :

If not, it should be fairly easy to get it in right after beta2 due to the bugfix nature of the release.

Fathi Boudra (fboudra) wrote :

Uploaded to my PPA for testing purpose:
https://launchpad.net/~fboudra/+archive/kde

I'm filing the sync request.

Felix Geyer (debfx) on 2011-09-20
Changed in strigi (Ubuntu Oneiric):
milestone: none → ubuntu-11.10
Achim Bohnet (allee) wrote :

I've tried the fabos 0.7.6 packages:

With a newly created user there was only a very low cpu and io usage shown in top and iotop.

No noticeable slowdown of the desktop during indexing.

For my taste there's too much cryptic output written to ~/.xsession-error
but that was the case with 0.7.2 too.

Jonathan Riddell (jr) wrote :

yay, fixes search for me, thanks

Fathi Boudra (fboudra) wrote :

Sync request submitted: LP:855436

Jonathan Kolberg (bulldog98) wrote :

As far as I tested it it was stable and a lot better than previous strigi version.

@jr Can we have this package in Kubuntu Backports?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package strigi - 0.7.6-2ubuntu1

---------------
strigi (0.7.6-2ubuntu1) oneiric; urgency=low

  * Sync from Debian unstable. (LP: #854330, #855436, #827364, #852546)
  * Drop libavcodec-dev and libavformat-dev from build-deps as libavcodec is
    not allowed on CD images.

strigi (0.7.6-2) unstable; urgency=low

  * Add Revert_patch_that_breaks_parsing_of_PDF_files.patch from upstream.
    (Closes: #642318)
  * Improve strigi-daemon descritpion. (Closes: #571297)

strigi (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/01_remove_FindQt4.cmake_local_copy.diff - merged
    upstream.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debehlper to 8.1.3~.
    - add dbus-x11, libavcodec-dev, libavformat-dev, libpostproc-dev and
      libswscale-dev build dependencies.
    - drop pkg-kde-tools build dependency - not used.
    - drop python and python-support build dependencies.
    - bump Standard-Version to 3.9.2, use Breaks instead of Conflicts.
    - drop deskbar-plugins-strigi package.
  * Drop debian/libstreams0.docs file - not used anymore.
  * Update debian/*-dev.install files.
  * Update debian/rules:
    - drop useless override_dh_{pysupport, strip}.
    - remove unused commented lines.
  * Update symbols files.
 -- Felix Geyer <email address hidden> Sat, 24 Sep 2011 17:12:15 +0200

Changed in strigi (Ubuntu Oneiric):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers